Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class Intranet

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.Intranet

public class Intranet
extends java.lang.Object

Intranet
Cette classe permet de manipuler les informations relatives à un intranet
(c)Copyright ESup-Portail 2004

Version:
  1.2
Author:
  Mathieu Larchet

Constructor Summary
`Intranet()` Constructeur

Method Summary
`java.lang.String` | `getId()` L'identifiant de cet intranet
`java.lang.String` | `getName()` Le nom de cet intranet
`java.lang.String` | `getRessource()` La ressource de stockage associée à cet intranet
`java.lang.String` | `getRoot()` Le dossier racine de cet intranet
`void` | `setId(java.lang.String id)` L'identifiant de cet intranet
`void` | `setName(java.lang.String name)` Le nom de cet intranet
`void` | `setRessource(java.lang.String ressource)` La ressource de stockage associée à cet intranet
`void` | `setRoot(java.lang.String root)` Le dossier racine de cet intranet
`java.lang.String` | `toXMLString()` La représentation XML de cet intranet

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Intranet

    public Intranet()

  Constructeur

Method Detail

### getId

    public java.lang.String getId()

  L'identifiant de cet intranet

  Returns:

### setId

    public void setId(java.lang.String id)

  L'identifiant de cet intranet

  Parameters:
    `id` -

### getName

    public java.lang.String getName()

  Le nom de cet intranet

  Returns:

### setName

    public void setName(java.lang.String name)

  Le nom de cet intranet

  Parameters:
    `name` -

### getRoot

    public java.lang.String getRoot()

  Le dossier racine de cet intranet

  Returns:

### setRoot

    public void setRoot(java.lang.String root)

  Le dossier racine de cet intranet

  Parameters:
    `root` -

### getRessource

    public java.lang.String getRessource()

  La ressource de stockage associée à cet intranet

  Returns:

### setRessource

    public void setRessource(java.lang.String ressource)

  La ressource de stockage associée à cet intranet

  Parameters:
    `ressource` -

### toXMLString

    public java.lang.String toXMLString()

  La représentation XML de cet intranet

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD